"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.database = void 0;
const admin = __importStar(require("firebase-admin"));
class Database {
    constructor() {
        const appOptions = this.getAppOptions();
        const app = admin.initializeApp(appOptions);
        this.db = app.firestore();
    }
    getDb() {
        return this.db;
    }
    getAppOptions() {
        let projectId = process.env.GCP_PROJECT;
        if (!projectId) {
            projectId = 'ocf-integration-test';
            console.log(`no GCP_PROJECT set! using project for local testing: ${projectId}`);
        }
        return { projectId };
    }
}
exports.database = new Database();
//# sourceMappingURL=database.js.map